Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface DocumentEvent

All Known Implementing Classes:
  AbstractDocument, AbstractStylableDocument, GenericDocument, SVG12OMDocument, SVGOMDocument, SVGOMSVGElement

    public interface DocumentEvent

The `DocumentEvent` interface provides a mechanism by which the user can create an `Event` object of a type supported by the implementation. If the feature "Events" is supported by the `Document` object, the `DocumentEvent` interface must be implemented on the same object. If the feature "+Events" is supported by the `Document` object, an object that supports the `DocumentEvent` interface must be returned by invoking the method `Node.getFeature("+Events", "3.0")` on the `Document` object.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 2

Method Summary
`boolean` | `canDispatch(String namespaceURI, String type)` Test if the implementation can generate events of a specified type.
`Event` | `createEvent(String eventType)`

Method Detail

### createEvent

    Event createEvent(String eventType)
                      throws DOMException

  Parameters:
    `eventType` - The `eventType` parameter specifies the name of the DOM Events interface to be supported by the created event object, e.g. `"Event"`, `"MouseEvent"`, `"MutationEvent"` and so on. If the `Event` is to be dispatched via the `EventTarget.dispatchEvent()` method the appropriate event init method must be called after creation in order to initialize the `Event`'s values. As an example, a user wishing to synthesize some kind of `UIEvent` would invoke `DocumentEvent.createEvent("UIEvent")`. The `UIEvent.initUIEventNS()` method could then be called on the newly created `UIEvent` object to set the specific type of user interface event to be dispatched, DOMActivate for example, and set its context information, e.g. `UIEvent.detail` in this example.

    Note: For backward compatibility reason, "UIEvents", "MouseEvents", "MutationEvents", and "HTMLEvents" feature names are valid values for the parameter `eventType` and represent respectively the interfaces "UIEvent", "MouseEvent", "MutationEvent", and "Event".

  Returns:
    The newly created event object.
  Throws:
    `DOMException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support the `Event` interface requested.

### canDispatch

    boolean canDispatch(String namespaceURI,
                        String type)

  Test if the implementation can generate events of a specified type.

  Parameters:
    `namespaceURI` - Specifies the `Event.namespaceURI` of the event.
    `type` - Specifies the `Event.type` of the event.
  Returns:
    `true` if the implementation can generate and dispatch this event type, `false` otherwise.
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.